import { BaseProvider } from '#templates/base/provider';
import { AuditDeadLetter } from '#models/AuditDeadLetter';

export class AuditDeadLetterProvider extends BaseProvider<AuditDeadLetter> {
	public static instance: AuditDeadLetterProvider;

	public static getInstance(): AuditDeadLetterProvider {
		AuditDeadLetterProvider.instance ??= new AuditDeadLetterProvider();
		return AuditDeadLetterProvider.instance;
	}

	public static get model() {
		return AuditDeadLetter;
	}

	constructor() {
		super('AuditDeadLetter');
	}
}
